package de.w665.fluidcms.model;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.Map;

@AllArgsConstructor
@NoArgsConstructor
@Getter
@Setter
public class CObject {
    private String id;
    private String name;
    private ObjectType type; // TODO: When developing the object repository, replace this with a reference to the object type (e.g. ObjectType ID)
    private Map<String, ObjectAttribute> attributes;
}
